package p2.pao.custom;

import p2.pao.PaoFieldInfo;
import p2.pao.PaoRemote;
import p2.pao.PaoSet;
import p2.util.P2Exception;
import baseclass.PaoCust;

public class SimplePao extends PaoCust {
	public SimplePao(PaoSet paramPaoSet) throws P2Exception {
		super(paramPaoSet);
	}

	@Override
    public PaoRemote duplicate() throws P2Exception {
		return copy();
	}

	@Override
	public void init() throws P2Exception {
		super.init();
	}

	@Override
    protected boolean skipCopyField(PaoFieldInfo paramPaoFieldInfo)
			throws P2Exception {
		return (!"SITEID".equalsIgnoreCase(paramPaoFieldInfo.getFieldName()))
				&& (paramPaoFieldInfo.isKey());
	}
}
